%define oname libkcompactdisc

Summary:	KDE Frameworks 5 library for playing & ripping CDs
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5solid-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 library for playing & ripping CDs.

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 playing & ripping CDs library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 playing & ripping CDs library translations

%files i18n -f %{oname}.lang

#----------------------------------------------------------------------------

%define kf5compactdisc_major 5
%define libkf5compactdisc %mklibname kf5compactdisc %{kf5compactdisc_major}

%package -n %{libkf5compactdisc}
Summary:	KDE Frameworks 5 playing & ripping CDs shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5compactdisc}
KDE Frameworks 5 playing & ripping CDs shared library.

%files -n %{libkf5compactdisc}
%{_kde5_libdir}/libKF5CompactDisc.so.%{kf5compactdisc_major}*

#----------------------------------------------------------------------------

%define devkf5compactdisc %mklibname kf5compactdisc -d

%package -n %{devkf5compactdisc}
Summary:	Development files for KDE Frameworks 5 playing & ripping CDs library
Group:		Development/KDE and Qt
Requires:	%{libkf5compactdisc} = %{EVRD}
Requires:	pkgconfig(alsa)
Provides:	kf5compactdisc-devel = %{version}

%description -n %{devkf5compactdisc}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5compactdisc}
%dir %{_kde5_includedir}/KF5/KCompactDisc
%{_kde5_includedir}/KF5/KCompactDisc/*
%{_kde5_includedir}/KF5/kcompactdisc_version.h
%{_kde5_libdir}/cmake/KF5CompactDisc
%{_kde5_libdir}/libKF5CompactDisc.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{oname} --with-kde
%kf5locales_fix %{oname}.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (b13afb4) New version 17.08.2


